Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class GL14

    java.lang.Object
      org.lwjgl.opengl.GL14

    public final class GL14

extends java.lang.Object

Field Summary
`static int` | `GL_BLEND_DST_ALPHA`
`static int` | `GL_BLEND_DST_RGB`
`static int` | `GL_BLEND_SRC_ALPHA`
`static int` | `GL_BLEND_SRC_RGB`
`static int` | `GL_COLOR_SUM`
`static int` | `GL_COMPARE_R_TO_TEXTURE`
`static int` | `GL_CURRENT_FOG_COORDINATE`
`static int` | `GL_CURRENT_SECONDARY_COLOR`
`static int` | `GL_DECR_WRAP`
`static int` | `GL_DEPTH_COMPONENT16`
`static int` | `GL_DEPTH_COMPONENT24`
`static int` | `GL_DEPTH_COMPONENT32`
`static int` | `GL_DEPTH_TEXTURE_MODE`
`static int` | `GL_FOG_COORDINATE`
`static int` | `GL_FOG_COORDINATE_ARRAY`
`static int` | `GL_FOG_COORDINATE_ARRAY_POINTER`
`static int` | `GL_FOG_COORDINATE_ARRAY_STRIDE`
`static int` | `GL_FOG_COORDINATE_ARRAY_TYPE`
`static int` | `GL_FOG_COORDINATE_SOURCE`
`static int` | `GL_FRAGMENT_DEPTH`
`static int` | `GL_GENERATE_MIPMAP`
`static int` | `GL_GENERATE_MIPMAP_HINT`
`static int` | `GL_GL_MIRRORED_REPEAT`
`static int` | `GL_INCR_WRAP`
`static int` | `GL_MAX_TEXTURE_LOD_BIAS`
`static int` | `GL_POINT_DISTANCE_ATTENUATION`
`static int` | `GL_POINT_FADE_THRESHOLD_SIZE`
`static int` | `GL_POINT_SIZE_MAX`
`static int` | `GL_POINT_SIZE_MIN`
`static int` | `GL_SECONDARY_COLOR_ARRAY`
`static int` | `GL_SECONDARY_COLOR_ARRAY_POINTER`
`static int` | `GL_SECONDARY_COLOR_ARRAY_SIZE`
`static int` | `GL_SECONDARY_COLOR_ARRAY_STRIDE`
`static int` | `GL_SECONDARY_COLOR_ARRAY_TYPE`
`static int` | `GL_TEXTURE_COMPARE_FUNC`
`static int` | `GL_TEXTURE_COMPARE_MODE`
`static int` | `GL_TEXTURE_DEPTH_SIZE`
`static int` | `GL_TEXTURE_FILTER_CONTROL`
`static int` | `GL_TEXTURE_LOD_BIAS`

Method Summary
`static void` | `glBlendColor(float red, float green, float blue, float alpha)`
`static void` | `glBlendEquation(int mode)`
`static void` | `glBlendFuncSeparate(int sfactorRGB, int dfactorRGB, int sfactorAlpha, int dfactorAlpha)`
`static void` | `glFogCoordd(double coord)`
`static void` | `glFogCoordf(float coord)`
`static void` | `glFogCoordPointer(int stride, java.nio.DoubleBuffer data)`
`static void` | `glFogCoordPointer(int stride, java.nio.FloatBuffer data)`
`static void` | `glFogCoordPointer(int type, int stride, long data_buffer_offset)`
`static void` | `glMultiDrawArrays(int mode, java.nio.IntBuffer piFirst, java.nio.IntBuffer piCount)`
`static void` | `glPointParameter(int pname, java.nio.FloatBuffer params)`
`static void` | `glPointParameter(int pname, java.nio.IntBuffer params)`
`static void` | `glPointParameterf(int pname, float param)`
`static void` | `glPointParameteri(int pname, int param)`
`static void` | `glSecondaryColor3b(byte red, byte green, byte blue)`
`static void` | `glSecondaryColor3d(double red, double green, double blue)`
`static void` | `glSecondaryColor3f(float red, float green, float blue)`
`static void` | `glSecondaryColor3ub(byte red, byte green, byte blue)`
`static void` | `glSecondaryColorPointer(int size, boolean unsigned, int stride, java.nio.ByteBuffer data)`
`static void` | `glSecondaryColorPointer(int size, int stride, java.nio.DoubleBuffer data)`
`static void` | `glSecondaryColorPointer(int size, int stride, java.nio.FloatBuffer data)`
`static void` | `glSecondaryColorPointer(int size, int type, int stride, long data_buffer_offset)`
`static void` | `glWindowPos2d(double x, double y)`
`static void` | `glWindowPos2f(float x, float y)`
`static void` | `glWindowPos2i(int x, int y)`
`static void` | `glWindowPos3d(double x, double y, double z)`
`static void` | `glWindowPos3f(float x, float y, float z)`
`static void` | `glWindowPos3i(int x, int y, int z)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_GENERATE_MIPMAP

    public static final int GL_GENERATE_MIPMAP

See Also:
  Constant Field Values

### GL_GENERATE_MIPMAP_HINT

    public static final int GL_GENERATE_MIPMAP_HINT

See Also:
  Constant Field Values

### GL_DEPTH_COMPONENT16

    public static final int GL_DEPTH_COMPONENT16

See Also:
  Constant Field Values

### GL_DEPTH_COMPONENT24

    public static final int GL_DEPTH_COMPONENT24

See Also:
  Constant Field Values

### GL_DEPTH_COMPONENT32

    public static final int GL_DEPTH_COMPONENT32

See Also:
  Constant Field Values

### GL_TEXTURE_DEPTH_SIZE

    public static final int GL_TEXTURE_DEPTH_SIZE

See Also:
  Constant Field Values

### GL_DEPTH_TEXTURE_MODE

    public static final int GL_DEPTH_TEXTURE_MODE

See Also:
  Constant Field Values

### GL_TEXTURE_COMPARE_MODE

    public static final int GL_TEXTURE_COMPARE_MODE

See Also:
  Constant Field Values

### GL_TEXTURE_COMPARE_FUNC

    public static final int GL_TEXTURE_COMPARE_FUNC

See Also:
  Constant Field Values

### GL_COMPARE_R_TO_TEXTURE

    public static final int GL_COMPARE_R_TO_TEXTURE

See Also:
  Constant Field Values

### GL_FOG_COORDINATE_SOURCE

    public static final int GL_FOG_COORDINATE_SOURCE

See Also:
  Constant Field Values

### GL_FOG_COORDINATE

    public static final int GL_FOG_COORDINATE

See Also:
  Constant Field Values

### GL_FRAGMENT_DEPTH

    public static final int GL_FRAGMENT_DEPTH

See Also:
  Constant Field Values

### GL_CURRENT_FOG_COORDINATE

    public static final int GL_CURRENT_FOG_COORDINATE

See Also:
  Constant Field Values

### GL_FOG_COORDINATE_ARRAY_TYPE

    public static final int GL_FOG_COORDINATE_ARRAY_TYPE

See Also:
  Constant Field Values

### GL_FOG_COORDINATE_ARRAY_STRIDE

    public static final int GL_FOG_COORDINATE_ARRAY_STRIDE

See Also:
  Constant Field Values

### GL_FOG_COORDINATE_ARRAY_POINTER

    public static final int GL_FOG_COORDINATE_ARRAY_POINTER

See Also:
  Constant Field Values

### GL_FOG_COORDINATE_ARRAY

    public static final int GL_FOG_COORDINATE_ARRAY

See Also:
  Constant Field Values

### GL_POINT_SIZE_MIN

    public static final int GL_POINT_SIZE_MIN

See Also:
  Constant Field Values

### GL_POINT_SIZE_MAX

    public static final int GL_POINT_SIZE_MAX

See Also:
  Constant Field Values

### GL_POINT_FADE_THRESHOLD_SIZE

    public static final int GL_POINT_FADE_THRESHOLD_SIZE

See Also:
  Constant Field Values

### GL_POINT_DISTANCE_ATTENUATION

    public static final int GL_POINT_DISTANCE_ATTENUATION

See Also:
  Constant Field Values

### GL_COLOR_SUM

    public static final int GL_COLOR_SUM

See Also:
  Constant Field Values

### GL_CURRENT_SECONDARY_COLOR

    public static final int GL_CURRENT_SECONDARY_COLOR

See Also:
  Constant Field Values

### GL_SECONDARY_COLOR_ARRAY_SIZE

    public static final int GL_SECONDARY_COLOR_ARRAY_SIZE

See Also:
  Constant Field Values

### GL_SECONDARY_COLOR_ARRAY_TYPE

    public static final int GL_SECONDARY_COLOR_ARRAY_TYPE

See Also:
  Constant Field Values

### GL_SECONDARY_COLOR_ARRAY_STRIDE

    public static final int GL_SECONDARY_COLOR_ARRAY_STRIDE

See Also:
  Constant Field Values

### GL_SECONDARY_COLOR_ARRAY_POINTER

    public static final int GL_SECONDARY_COLOR_ARRAY_POINTER

See Also:
  Constant Field Values

### GL_SECONDARY_COLOR_ARRAY

    public static final int GL_SECONDARY_COLOR_ARRAY

See Also:
  Constant Field Values

### GL_BLEND_DST_RGB

    public static final int GL_BLEND_DST_RGB

See Also:
  Constant Field Values

### GL_BLEND_SRC_RGB

    public static final int GL_BLEND_SRC_RGB

See Also:
  Constant Field Values

### GL_BLEND_DST_ALPHA

    public static final int GL_BLEND_DST_ALPHA

See Also:
  Constant Field Values

### GL_BLEND_SRC_ALPHA

    public static final int GL_BLEND_SRC_ALPHA

See Also:
  Constant Field Values

### GL_INCR_WRAP

    public static final int GL_INCR_WRAP

See Also:
  Constant Field Values

### GL_DECR_WRAP

    public static final int GL_DECR_WRAP

See Also:
  Constant Field Values

### GL_TEXTURE_FILTER_CONTROL

    public static final int GL_TEXTURE_FILTER_CONTROL

See Also:
  Constant Field Values

### GL_TEXTURE_LOD_BIAS

    public static final int GL_TEXTURE_LOD_BIAS

See Also:
  Constant Field Values

### GL_MAX_TEXTURE_LOD_BIAS

    public static final int GL_MAX_TEXTURE_LOD_BIAS

See Also:
  Constant Field Values

### GL_GL_MIRRORED_REPEAT

    public static final int GL_GL_MIRRORED_REPEAT

See Also:
  Constant Field Values

Method Detail

### glBlendEquation

    public static void glBlendEquation(int mode)

### glBlendColor

    public static void glBlendColor(float red,
                                    float green,
                                    float blue,
                                    float alpha)

### glFogCoordf

    public static void glFogCoordf(float coord)

### glFogCoordd

    public static void glFogCoordd(double coord)

### glFogCoordPointer

    public static void glFogCoordPointer(int stride,
                                         java.nio.DoubleBuffer data)

### glFogCoordPointer

    public static void glFogCoordPointer(int stride,
                                         java.nio.FloatBuffer data)

### glFogCoordPointer

    public static void glFogCoordPointer(int type,
                                         int stride,
                                         long data_buffer_offset)

### glMultiDrawArrays

    public static void glMultiDrawArrays(int mode,
                                         java.nio.IntBuffer piFirst,
                                         java.nio.IntBuffer piCount)

### glPointParameteri

    public static void glPointParameteri(int pname,
                                         int param)

### glPointParameterf

    public static void glPointParameterf(int pname,
                                         float param)

### glPointParameter

    public static void glPointParameter(int pname,
                                        java.nio.IntBuffer params)

### glPointParameter

    public static void glPointParameter(int pname,
                                        java.nio.FloatBuffer params)

### glSecondaryColor3b

    public static void glSecondaryColor3b(byte red,
                                          byte green,
                                          byte blue)

### glSecondaryColor3f

    public static void glSecondaryColor3f(float red,
                                          float green,
                                          float blue)

### glSecondaryColor3d

    public static void glSecondaryColor3d(double red,
                                          double green,
                                          double blue)

### glSecondaryColor3ub

    public static void glSecondaryColor3ub(byte red,
                                           byte green,
                                           byte blue)

### glSecondaryColorPointer

    public static void glSecondaryColorPointer(int size,
                                               int stride,
                                               java.nio.DoubleBuffer data)

### glSecondaryColorPointer

    public static void glSecondaryColorPointer(int size,
                                               int stride,
                                               java.nio.FloatBuffer data)

### glSecondaryColorPointer

    public static void glSecondaryColorPointer(int size,
                                               boolean unsigned,
                                               int stride,
                                               java.nio.ByteBuffer data)

### glSecondaryColorPointer

    public static void glSecondaryColorPointer(int size,
                                               int type,
                                               int stride,
                                               long data_buffer_offset)

### glBlendFuncSeparate

    public static void glBlendFuncSeparate(int sfactorRGB,
                                           int dfactorRGB,
                                           int sfactorAlpha,
                                           int dfactorAlpha)

### glWindowPos2f

    public static void glWindowPos2f(float x,
                                     float y)

### glWindowPos2d

    public static void glWindowPos2d(double x,
                                     double y)

### glWindowPos2i

    public static void glWindowPos2i(int x,
                                     int y)

### glWindowPos3f

    public static void glWindowPos3f(float x,
                                     float y,
                                     float z)

### glWindowPos3d

    public static void glWindowPos3d(double x,
                                     double y,
                                     double z)

### glWindowPos3i

    public static void glWindowPos3i(int x,
                                     int y,
                                     int z)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.